Bug 1418022 - Release Notes Lead One To Believe RHEL7 Has Full SMB Protocol 3.1.1 Support
Summary: Release Notes Lead One To Believe RHEL7 Has Full SMB Protocol 3.1.1 Support
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: Red_Hat_Enterprise_Linux-Release_Notes-7-en-US
Version: 7.2
Hardware: All
OS: Linux
high
low
Target Milestone: rc
: ---
Assignee: Milan Navratil
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-31 15:57 UTC by Bernie Hoefer
Modified: 2019-03-06 00:45 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-02-15 08:32:38 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Bernie Hoefer 2017-01-31 15:57:22 UTC
Document URL: 
<https://access.redhat.com/documentation/en-US/Red_Hat_Enterprise_Linux/7/html/7.2_Release_Notes/file_systems.html#idp14216928>


Section Number and Name: 
Chapter 7, "⁠cifs rebase to version 3.17"


Describe the issue: 
A customer, having read the above and these release notes from RHEL 7.0 and 7.3:

<https://access.redhat.com/documentation/en-US/Red_Hat_Enterprise_Linux/7/html/7.0_Release_Notes/chap-Red_Hat_Enterprise_Linux-7.0_Release_Notes-Authentication_and_Interoperability.html#idp5955624>

<https://access.redhat.com/documentation/en-US/Red_Hat_Enterprise_Linux/7/html/7.3_Release_Notes/new_features_authentication_and_interoperability.html#idp21247424>

...thought RHEL7 would fully support SMB protocol 3.1.1.  Although RHEL 7.3's Samba 4.4.4 is able to create SMB 3.1.1 shares, the RHEL7 Linux kernel cannot mount them.  That feature, even in upstream kernel 4.9.6, is still experimental.  (See the note about config CIFS_SMB311 in <https://git.kernel.org/cgit/linux/kernel/git/stable/linux-stable.git/tree/fs/cifs/Kconfig?id=09f886dc5a6945679ed35e6acfbc746f472f0f34>.)


Suggestions for improvement: 
Instead of stating "Server Message Block 2 and 3 (SMB2 and SMB3)", instead be specific about the version number like so:  "which provides various minor fixes and new features for Server Message Block 2 and 3 (SMB 2.0, 2.1, 3.0 and 3.0.2)."

Customers would also benefit by having a note added in the above release note sections that Linux kernel CIFS module support of SMB protocol 3.1.1 is still experimental, and thus not available in Red Hat kernels.


Additional information: 
I think part of the confusion stems from referring to a family of protocol versions ("SMB3") instead of exact versions.  If I say my foobar program can run on "RHEL7", but then people try to run it on RHEL 7.3 and find out it doesn't work, they will understandably be upset when they find out I meant "RHEL 7.0".


Note You need to log in before you can comment on or make changes to this bug.